com.smartgwt.client.types

## Enum AsyncOperationResultType

- java.lang.Object
- - java.lang.Enum<AsyncOperationResultType>
  - - com.smartgwt.client.types.AsyncOperationResultType

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<AsyncOperationResultType>

      public enum AsyncOperationResultType
      extends java.lang.Enum<AsyncOperationResultType>
      implements ValueEnum

  The type of result of an asynchronous operation.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CANCELED` The asynchronous operation was canceled.
    `DEFERRED` The asynchronous operation was deferred.
    `DISABLED` The asynchronous operation is disabled.
    `ERROR` The asynchronous operation encountered an error.
    `SUCCESS` The asynchronous operation completed successfully.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static AsyncOperationResultType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static AsyncOperationResultType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SUCCESS

          public static final AsyncOperationResultType SUCCESS

      The asynchronous operation completed successfully.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "success".

    - #### ERROR

          public static final AsyncOperationResultType ERROR

      The asynchronous operation encountered an error.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "error".

    - #### CANCELED

          public static final AsyncOperationResultType CANCELED

      The asynchronous operation was canceled.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "canceled".

    - #### DISABLED

          public static final AsyncOperationResultType DISABLED

      The asynchronous operation is disabled.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "disabled".

    - #### DEFERRED

          public static final AsyncOperationResultType DEFERRED

      The asynchronous operation was deferred.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "deferred".

  - ### Method Detail

    - #### values

          public static AsyncOperationResultType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AsyncOperationResultType c : AsyncOperationResultType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AsyncOperationResultType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`